- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ProgressiveMesh::PMTriangle Class Reference

A triangle in the progressive mesh, holds extra info like face normal. More...

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Member Functions
| PMTriangle ()
void | setDetails (size_t index, PMFaceVertex *v0, PMFaceVertex *v1, PMFaceVertex *v2)
void | computeNormal (void)
void | replaceVertex (PMFaceVertex *vold, PMFaceVertex *vnew)
bool | hasCommonVertex (PMVertex *v) const
bool | hasFaceVertex (PMFaceVertex *v) const
PMFaceVertex * | getFaceVertexFromCommon (PMVertex *commonVert)
void | notifyRemoved (void)
## Public Attributes
PMFaceVertex * | vertex [3]
Vector3 | normal
bool | removed
size_t | index

## Detailed Description

A triangle in the progressive mesh, holds extra info like face normal.

Definition at line 136 of file OgreProgressiveMesh.h.

## Constructor & Destructor Documentation

Ogre::ProgressiveMesh::PMTriangle::PMTriangle | ( |  | ) |

## Member Function Documentation

void Ogre::ProgressiveMesh::PMTriangle::setDetails | ( | size_t | index,
|  | PMFaceVertex * | v0,
|  | PMFaceVertex * | v1,
|  | PMFaceVertex * | v2 |
| ) |  |  |

void Ogre::ProgressiveMesh::PMTriangle::computeNormal | ( | void |  | ) |

void Ogre::ProgressiveMesh::PMTriangle::replaceVertex | ( | PMFaceVertex * | vold,
|  | PMFaceVertex * | vnew |
| ) |  |  |

bool Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex | ( | PMVertex * | v | ) | const

bool Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex | ( | PMFaceVertex * | v | ) | const

PMFaceVertex* Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon | ( | PMVertex * | commonVert | ) |

void Ogre::ProgressiveMesh::PMTriangle::notifyRemoved | ( | void |  | ) |

## Member Data Documentation

PMFaceVertex* Ogre::ProgressiveMesh::PMTriangle::vertex[3]

Definition at line 147 of file OgreProgressiveMesh.h.

Vector3 Ogre::ProgressiveMesh::PMTriangle::normal

Definition at line 148 of file OgreProgressiveMesh.h.

bool Ogre::ProgressiveMesh::PMTriangle::removed

Definition at line 149 of file OgreProgressiveMesh.h.

size_t Ogre::ProgressiveMesh::PMTriangle::index

Definition at line 150 of file OgreProgressiveMesh.h.

The documentation for this class was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:55 2008